atom/proc/LogText(T as text,var/display_html=1,var/logtime=1)
	var/string
	if(logtime)string+="<B>[time2text(world.realtime,"hh:mm")]</B>:  "
	if(!display_html)T=html_encode(T)
	string+=T
	string+="</font></B></I></U><br>\n"//breaks into the next line.
	text2file(string,"./Logs/[time2text(world.realtime,"Month")]/[time2text(world.realtime,"Month_DD_YYYY")].html")

mob/verb/say(T as text)
	if(!T)return
	world<<"[src] says [T]"
	LogText("[src] says [T]",0,1)//This is having it not display html, and loging the time.
mob/verb/Announce(msg as message)
	if(!msg)return
	world<<"<B>Announcement! [src] says [msg]."
	LogText("<B><font color=blue>Announcement by [src]: [msg]")//This shows html and logtime.
mob/verb/PickPlayer(mob/M in world)
	if(M.client)
		world<<"[src] picks [M]."
		LogText("[src] picks [M].",,0)//This is not loging the time, but displaying html.



/* Flame Sage.Simple Log
A simple demo I created for my game, to easily log all commands.
Please send feedback to forum!*/